.calculator {
    width: 772px;
    background-color: white;
    border-radius: 20px;
    margin: 0 auto;
    overflow: hidden;
    min-height: 250px;
}

.calculator .calc-controls {
    padding: 20px 20px 15px;
	-webkit-touch-callout: none;
    -webkit-user-select: none;
     -khtml-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none; 
            user-select: none;
}

.calculator .calc-controls:after {
    content: '';
    display: table;
    clear: both;
}

.calculator .calc-controls .calc-inputs {
    float: left;
    width: 550px;
}

.calculator .calc-controls .calc-inputs input[type='text'] {
    display: block;
    float: left;
    width: 140px;
    margin: 0;
    text-align: center;
    padding: 15px 10px;
    border: 1px solid #c4ccd4;
}

.calculator .calc-controls .ui-slider {
    position: relative;
    float: left;
    width: 210px;
    height: 10px;
    margin: 16px 20px;
    border: none;
}

.calculator .calc-controls .ui-slider:before {
    position: absolute;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    border: 1px solid #c4ccd4;
    content: '';
    border-radius: 3px;
}

.calculator .calc-controls .ui-slider .ui-slider-handle {
    position: relative;
    border: none;
}

.calculator .calc-controls .ui-slider .ui-slider-handle:before {
    position: absolute;
	content: '';
    top: 2px;
    left: 0px;
    background-image: url(../img/icons/icon-dota.png);
    background-repeat: no-repeat;
    background-position: center center;
    width: 18px;
    height: 18px;
	cursor: pointer;
}

.calculator .calc-controls .ui-slider .ui-slider-range {
    position: absolute;
    background-color: #7cd21f;
    border: 1px solid #7cd21f;
    height: 100%;
    box-sizing: border-box;
    border-radius: 3px;
}

.calculator .calc-controls .ui-slider .ui-slider-handle span {
    position: absolute;
    font-size: 13px;
    font-weight: 700;
	line-height: 13px;
    top: -12px;
    left: -18px;
    color: #263238;
	cursor: default;
	width: 50px;
	text-align: center;
}

.calculator .calc-controls .calc-options {
    float: left;
    width: 100%;
    padding: 15px 0 0;
}

.calculator .calc-controls .calc-options input[type='checkbox'] {
    display: none;
}

.calculator .calc-controls .calc-options input[type='checkbox'] + label {
    display: block;
    float: left;
    width: 50%;
    box-sizing: border-box;
    margin: 10px 0 5px;
	padding: 0;
	cursor: pointer;
}

.calculator .calc-controls .calc-options input[type='checkbox'] + label:before {
	content: '';
	display: inline-block;
	vertical-align: middle;
	width: 22px;
	height: 22px;
	box-sizing: border-box;
	border: 1px solid #c4ccd4;
	margin: 0 10px 0 0;
	border-radius: 50%;
}

.calculator .calc-controls .calc-options input[type='checkbox']:checked + label:before {
	border: none;
	background-image: url(../img/icons/icon-checked.png);
	background-repeat: no-repeat;
	background-position: center center;
}

.calculator .calc-controls .calc-price {
    float: left;
    width: 180px;
    box-sizing: border-box;
    padding: 0 0 0 20px;
}

.calculator .calc-controls .calc-price-days {
    font-size: 14px;
    font-weight: 700;
    color: #263238;
}

.calculator .calc-controls .calc-price-days span {
    font-weight: 600;
}

.calculator .calc-controls .calc-price-value {
    font-size: 35px;
    font-weight: 700;
    color: #000;
}

.calculator .calc-controls .calc-price-value u {
    font-size: 22px;
    font-weight: 500;
    font-family: 'ALS Rubl';
}

.calculator .calc-controls .calc-buy {
    padding: 30px 0 0;
}

.calculator .calc-controls .calc-options label u {
	position: relative;
    color: #7cd21f;
}

.calculator .calc-controls .calc-options label u:hover {
    text-decoration:  underline;
}

.calculator .calc-controls .calc-options label u
 span {
	display: none;
    position: absolute;
    bottom: 100%;
    left: -50%;
    margin: 0 0 10px 3px;
    right: auto;
    background-color: #7cd21f;
    border-radius: 10px;
    padding: 15px;
    color: white;
    white-space:  nowrap;
	cursor: default;
	box-shadow: 5px 5px 10px 1px rgba(124, 210, 31, 0.8);
}

.calculator .calc-controls .calc-options label u span input {
    display: inline-block;
    width: 25px;
    height: 30px;
    padding: 5px;
    box-sizing: border-box;
    margin: 0 5px;
    border: 1px solid white;
    color: white;
    text-align:  center;
    font-size: 19px;
    font-weight: 700;
    -moz-appearance: textfield;
}

.calculator .calc-controls .calc-options label u span input::-webkit-inner-spin-button {
    -webkit-appearance: none; 
    margin: 0; 
}

.calculator .calc-controls .calc-options label u span input::-webkit-outer-spin-button {
    -webkit-appearance: none; 
    margin: 0;
}

.calculator .calc-controls .calc-options label u span:after {
    position: absolute;
    content: '';
    top: 100%;
    left: 50%;
    width: 0;
    height: 0;
    margin-left: -3px;
    border: 7px solid #7cd21f;
    border-bottom-color:  transparent;
    border-left-color:  transparent;
    border-right-color: transparent;
}

.calculator .calc-controls .calc-options label u span input::-webkit-input-placeholder {color: rgba(255, 255, 255, 0.3);}
.calculator .calc-controls .calc-options label u span input::-moz-placeholder          {color: rgba(255, 255, 255, 0.3);}
.calculator .calc-controls .calc-options label u span input:-moz-placeholder           {color: rgba(255, 255, 255, 0.3);}
.calculator .calc-controls .calc-options label u span input:-ms-input-placeholder      {color: rgba(255, 255, 255, 0.3);}

#calc-select-hero span {
    white-space:  normal;
    width: 260px;
    font-size: 0;
    left: 0;
    margin-left: -130px;
}

#calc-select-hero span i {
    margin: 2px;
    cursor: pointer;
}

.calculator .help-menu {
    padding: 5px 0 20px 20px;
	list-style: none;
}

.calculator .help-menu li a {
    color: #757d83;
    font-size: 11px;
    font-weight: 700;
}

@media (max-width: 790px) {
	.calculator {
		width: auto;
		margin: 0 10px;
	}

	.calculator .calc-controls .calc-inputs {
		width: 100%;
	}

	.calculator .calc-controls .calc-inputs input[type='text'] {
		width: 100px;
	}

	.calculator .calc-controls .calc-slider {
		width: calc(100% - 240px);
	}

	.calculator .calc-controls .calc-price {
		position: relative;
		width: 100%;
		padding: 0;
		margin: 15px 0 0;
	}

	.calculator .calc-controls .calc-price-days {
		position: absolute;
		right: 0;
		top: 0;
	}

	.calculator .calc-controls .calc-price-value {
		position: absolute;
		right: 0;
		top: 15px;
	}

	.calculator .calc-controls .calc-buy {
		padding: 0;
	}
}

@media (max-width: 600px) {
	.calculator .calc-controls .calc-options input[type='checkbox'] + label {
		width: 100%;
		text-align: center;
	}
}